GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GLSAddress Class Reference

## Public Member Functions
String | getName1 ()
void | setName1 (String value)
String | getName2 ()
void | setName2 (String value)
String | getName3 ()
void | setName3 (String value)
String | getContactName ()
void | setContactName (String value)
String | getStreet1 ()
void | setStreet1 (String value)
String | getBlockNo1 ()
void | setBlockNo1 (String value)
String | getStreet2 ()
void | setStreet2 (String value)
String | getBlockNo2 ()
void | setBlockNo2 (String value)
String | getZipCode ()
void | setZipCode (String value)
String | getCity ()
void | setCity (String value)
String | getProvince ()
void | setProvince (String value)
String | getCountry ()
void | setCountry (String value)

## Protected Attributes
String | name1
String | name2
String | name3
String | contactName
String | street1
String | blockNo1
String | street2
String | blockNo2
String | zipCode
String | city
String | province
String | country

## Detailed Description

Java class for GLSAddress complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GLSAddress">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Name1" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Name2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Name3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="ContactName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Street1" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="BlockNo1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Street2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="BlockNo2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="City" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Province" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Country" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 55 of file GLSAddress.java.

## Member Function Documentation

## ◆ getBlockNo1()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getBlockNo1 | ( |  | ) |

Gets the value of the blockNo1 property.

Returns
  possible object is String

Definition at line 210 of file GLSAddress.java.

## ◆ getBlockNo2()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getBlockNo2 | ( |  | ) |

Gets the value of the blockNo2 property.

Returns
  possible object is String

Definition at line 258 of file GLSAddress.java.

## ◆ getCity()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getCity | ( |  | ) |

Gets the value of the city property.

Returns
  possible object is String

Definition at line 306 of file GLSAddress.java.

## ◆ getContactName()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getContactName | ( |  | ) |

Gets the value of the contactName property.

Returns
  possible object is String

Definition at line 162 of file GLSAddress.java.

## ◆ getCountry()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getCountry | ( |  | ) |

Gets the value of the country property.

Returns
  possible object is String

Definition at line 354 of file GLSAddress.java.

## ◆ getName1()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getName1 | ( |  | ) |

Gets the value of the name1 property.

Returns
  possible object is String

Definition at line 90 of file GLSAddress.java.

## ◆ getName2()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getName2 | ( |  | ) |

Gets the value of the name2 property.

Returns
  possible object is String

Definition at line 114 of file GLSAddress.java.

## ◆ getName3()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getName3 | ( |  | ) |

Gets the value of the name3 property.

Returns
  possible object is String

Definition at line 138 of file GLSAddress.java.

## ◆ getProvince()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getProvince | ( |  | ) |

Gets the value of the province property.

Returns
  possible object is String

Definition at line 330 of file GLSAddress.java.

## ◆ getStreet1()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getStreet1 | ( |  | ) |

Gets the value of the street1 property.

Returns
  possible object is String

Definition at line 186 of file GLSAddress.java.

## ◆ getStreet2()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getStreet2 | ( |  | ) |

Gets the value of the street2 property.

Returns
  possible object is String

Definition at line 234 of file GLSAddress.java.

## ◆ getZipCode()

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.getZipCode | ( |  | ) |

Gets the value of the zipCode property.

Returns
  possible object is String

Definition at line 282 of file GLSAddress.java.

## ◆ setBlockNo1()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setBlockNo1 | ( | String | value | ) |

Sets the value of the blockNo1 property.

Parameters

  value | allowed object is String

Definition at line 222 of file GLSAddress.java.

## ◆ setBlockNo2()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setBlockNo2 | ( | String | value | ) |

Sets the value of the blockNo2 property.

Parameters

  value | allowed object is String

Definition at line 270 of file GLSAddress.java.

## ◆ setCity()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setCity | ( | String | value | ) |

Sets the value of the city property.

Parameters

  value | allowed object is String

Definition at line 318 of file GLSAddress.java.

## ◆ setContactName()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setContactName | ( | String | value | ) |

Sets the value of the contactName property.

Parameters

  value | allowed object is String

Definition at line 174 of file GLSAddress.java.

## ◆ setCountry()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setCountry | ( | String | value | ) |

Sets the value of the country property.

Parameters

  value | allowed object is String

Definition at line 366 of file GLSAddress.java.

## ◆ setName1()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setName1 | ( | String | value | ) |

Sets the value of the name1 property.

Parameters

  value | allowed object is String

Definition at line 102 of file GLSAddress.java.

## ◆ setName2()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setName2 | ( | String | value | ) |

Sets the value of the name2 property.

Parameters

  value | allowed object is String

Definition at line 126 of file GLSAddress.java.

## ◆ setName3()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setName3 | ( | String | value | ) |

Sets the value of the name3 property.

Parameters

  value | allowed object is String

Definition at line 150 of file GLSAddress.java.

## ◆ setProvince()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setProvince | ( | String | value | ) |

Sets the value of the province property.

Parameters

  value | allowed object is String

Definition at line 342 of file GLSAddress.java.

## ◆ setStreet1()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setStreet1 | ( | String | value | ) |

Sets the value of the street1 property.

Parameters

  value | allowed object is String

Definition at line 198 of file GLSAddress.java.

## ◆ setStreet2()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setStreet2 | ( | String | value | ) |

Sets the value of the street2 property.

Parameters

  value | allowed object is String

Definition at line 246 of file GLSAddress.java.

## ◆ setZipCode()

void eu.glsgroup.ws.parcelshopsearch.GLSAddress.setZipCode | ( | String | value | ) |

Sets the value of the zipCode property.

Parameters

  value | allowed object is String

Definition at line 294 of file GLSAddress.java.

## Member Data Documentation

## ◆ blockNo1

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.blockNo1
| protected

Definition at line 68 of file GLSAddress.java.

## ◆ blockNo2

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.blockNo2
| protected

Definition at line 72 of file GLSAddress.java.

## ◆ city

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.city
| protected

Definition at line 76 of file GLSAddress.java.

## ◆ contactName

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.contactName
| protected

Definition at line 64 of file GLSAddress.java.

## ◆ country

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.country
| protected

Definition at line 80 of file GLSAddress.java.

## ◆ name1

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.name1
| protected

Definition at line 58 of file GLSAddress.java.

## ◆ name2

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.name2
| protected

Definition at line 60 of file GLSAddress.java.

## ◆ name3

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.name3
| protected

Definition at line 62 of file GLSAddress.java.

## ◆ province

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.province
| protected

Definition at line 78 of file GLSAddress.java.

## ◆ street1

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.street1
| protected

Definition at line 66 of file GLSAddress.java.

## ◆ street2

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.street2
| protected

Definition at line 70 of file GLSAddress.java.

## ◆ zipCode

String eu.glsgroup.ws.parcelshopsearch.GLSAddress.zipCode
| protected

Definition at line 74 of file GLSAddress.java.

The documentation for this class was generated from the following file:

- GLSAddress.java